pcl::QuantizedMultiModFeature Struct Reference

Feature that defines a position and quantized value in a specific modality. More...

`#include <pcl/recognition/sparse_quantized_multi_mod_template.h>`

## Public Member Functions

| QuantizedMultiModFeature ()
| Constructor. More...
bool | compareForEquality (const QuantizedMultiModFeature &base)
| Compares whether two features are the same. More...
void | serialize (std::ostream &stream) const
| Serializes the object to the specified stream. More...
void | deserialize (std::istream &stream)
| Deserializes the object from the specified stream. More...

## Public Attributes

int | x
| x-position. More...
int | y
| y-position. More...
size_t | modality_index
| the index of the corresponding modality. More...
unsigned char | quantized_value
| the quantized value attached to the feature. More...

## Detailed Description

Feature that defines a position and quantized value in a specific modality.

Author
  Stefan Holzer

Definition at line 51 of file sparse_quantized_multi_mod_template.h.

## Constructor & Destructor Documentation

## QuantizedMultiModFeature()

pcl::QuantizedMultiModFeature::QuantizedMultiModFeature | ( |  | ) |

inline

Constructor.

Definition at line 54 of file sparse_quantized_multi_mod_template.h.

## Member Function Documentation

## compareForEquality()

bool pcl::QuantizedMultiModFeature::compareForEquality | ( | const QuantizedMultiModFeature & | base | ) |

inline

Compares whether two features are the same.

Parameters

  [in] | base | the feature to compare to.

Definition at line 69 of file sparse_quantized_multi_mod_template.h.

References modality_index, quantized_value, x, and y.

## deserialize()

void pcl::QuantizedMultiModFeature::deserialize | ( | std::istream & | stream | ) |

inline

Deserializes the object from the specified stream.

Parameters

  [in] | stream | the stream the object will be deserialized from.

Definition at line 97 of file sparse_quantized_multi_mod_template.h.

References pcl::read().

## serialize()

void pcl::QuantizedMultiModFeature::serialize | ( | std::ostream & | stream | ) | const

inline

Serializes the object to the specified stream.

Parameters

  [out] | stream | the stream the object will be serialized to.

Definition at line 86 of file sparse_quantized_multi_mod_template.h.

References pcl::write().

## Member Data Documentation

## modality_index

size_t pcl::QuantizedMultiModFeature::modality_index

the index of the corresponding modality.

Definition at line 61 of file sparse_quantized_multi_mod_template.h.

Referenced by compareForEquality(), pcl::ColorGradientModality< PointRGBT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointXYZT >::extractAllFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointRGBT >::extractFeatures(), and pcl::SurfaceNormalModality< PointXYZT >::extractFeatures().

## quantized_value

unsigned char pcl::QuantizedMultiModFeature::quantized_value

the quantized value attached to the feature.

Definition at line 63 of file sparse_quantized_multi_mod_template.h.

Referenced by compareForEquality(), pcl::ColorGradientModality< PointRGBT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointXYZT >::extractAllFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointRGBT >::extractFeatures(), and pcl::SurfaceNormalModality< PointXYZT >::extractFeatures().

## x

int pcl::QuantizedMultiModFeature::x

x-position.

Definition at line 57 of file sparse_quantized_multi_mod_template.h.

Referenced by compareForEquality(), pcl::ColorGradientModality< PointRGBT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointXYZT >::extractAllFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointRGBT >::extractFeatures(), and pcl::SurfaceNormalModality< PointXYZT >::extractFeatures().

## y

int pcl::QuantizedMultiModFeature::y

y-position.

Definition at line 59 of file sparse_quantized_multi_mod_template.h.

Referenced by compareForEquality(), pcl::ColorGradientModality< PointRGBT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointXYZT >::extractAllFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointRGBT >::extractFeatures(), and pcl::SurfaceNormalModality< PointXYZT >::extractFeatures().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/sparse_quantized_multi_mod_template.h